Dati = xlsread('Pasteur.xlsx',4);
[r,c] = size(Dati);
d = r/5;
t = 1;
n = 1;
cont = 1;
ARRAYdate_TuL = zeros(d,1);
Xlocal_TuL = zeros(5,d);
Ylocal_TuL = zeros(5,d);
Zlocal_TuL = zeros(5,d);
X_TuL = zeros(5,d);
Y_TuL = zeros(5,d);
Z_TuL = zeros(5,d);
SegStar = zeros(5,d);
HShift_local_TuL = zeros(5,d);
Area_TuL = zeros(1,d);
Speed_local_TuL = zeros(5,d);
Acceleration_local_TuL = zeros(5,d);
TempDef_TuL = zeros(d,5);
ErrTunnelLink = zeros(5,d);
for i=1:r
    Xlocal_TuL(t,cont) = Dati(i,6);
    Ylocal_TuL(t,cont) = Dati(i,7);
    Zlocal_TuL(t,cont) = Dati(i,8);
    X_TuL(t,cont) = Dati(i,9);
    Y_TuL(t,cont) = Dati(i,10);
    Z_TuL(t,cont) = Dati(i,11);
    SegStar(t,cont) = Dati(i,12);
    HShift_local_TuL(t,cont) = Dati(i,14);
    Speed_local_TuL(t,cont) = Dati(i,16);
    Acceleration_local_TuL(t,cont) = Dati(i,18);
    TempDef_TuL(cont,t) = Dati(i,19);
    ErrTunnelLink(t,cont) = Dati(i,25);
    if t == 1
        ARRAYdate_TuL(n,1) = Dati(i,2)+693960;
        n = n+1;
    end
    t = t+1;
    if t == 6
        t = 1;
        cont = cont+1;
    end
end
Xstar_TuL = X_TuL;
Zstar_TuL = Z_TuL;